sbcl (2:2.5.2-1) unstable; urgency=medium

  * Update to new upstream version 2:2.5.2.
  * Add procps to autopkgtest deps.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 11:38:42 +0800

sbcl (2:2.5.1-1) unstable; urgency=medium

  * Update to new upstream version 2:2.5.1.
  * Standardise sub-make invocation for doc/manual.
  * Force non-parallel build for doc/manual (Closes: #1098645).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Feb 2025 18:11:31 +0800

sbcl (2:2.5.0-1) unstable; urgency=medium

  [ Peter Van Eynde ]
  * New upstream version 2.5.0
  * Refreshed patches
  * Added myself as uploader
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 05 Jan 2025 20:52:42 +0100

sbcl (2:2.4.11-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.11.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Dec 2024 11:32:00 +0800

sbcl (2:2.4.10-2) unstable; urgency=medium

  [ Bo YU ]
  * Switch riscv64 to bootstrap with clisp (Closes: #1033731).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 13 Nov 2024 18:57:27 +0800

sbcl (2:2.4.10-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.10.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 08 Nov 2024 10:40:48 +0800

sbcl (2:2.4.9+git20241010.1.465757f12-1) unstable; urgency=medium

  * Update to new upstream snapshot 2:2.4.9+git20241010.1.465757f12.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Oct 2024 18:04:22 +0800

sbcl (2:2.4.9-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.9.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 30 Sep 2024 13:31:20 +0800

sbcl (2:2.4.8-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.8.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Sep 2024 12:21:37 +0100

sbcl (2:2.4.7-2) unstable; urgency=medium

  * Enable debug printing in :WASTE-HEAP test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 08 Aug 2024 09:27:42 +0800

sbcl (2:2.4.7-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.7.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 06 Aug 2024 11:01:13 +0800

sbcl (2:2.4.7~git20240721.1.7a19681d9-1) unstable; urgency=medium

  * Update to new upstream snapshot.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 23 Jul 2024 13:27:48 +0900

sbcl (2:2.4.6-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.6.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Jul 2024 12:29:54 +0900

sbcl (2:2.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch to git-debrebase(1) git workflow.
    - Add README.source pointing to dgit-maint-debrebase(7).
    - Remove inactive team members from Uploaders.
      Those still interested in the package should feel free to reinstate
      themselves there, and thereby acknowledge the workflow change.
  * d/rules: Don't install src/runtime/ldb to bin:sbcl-source.
  * Drop disable-tests-traceroot.impure.lisp-on-arm64.patch.
    Equivalent change made upstream.
  * Patch tools-for-build/canonicalize-whitespace.lisp to exclude stage1/.
  * Backport upstream commit dc890089a to fix hide-packages.test.sh.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 31 May 2024 17:53:28 +0100

sbcl (2:2.3.7-2) unstable; urgency=medium

  * Disable genheaders.test.sh under autopkgtest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 02 Aug 2023 15:09:31 +0100

sbcl (2:2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Aug 2023 11:26:51 +0100

sbcl (2:2.3.6-2) unstable; urgency=medium

  * Disable tests/traceroot.impure.lisp on arm64 to fix FTBFS there.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 22 Jul 2023 17:56:30 +0100

sbcl (2:2.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Jul 2023 21:04:26 +0100

sbcl (2:2.2.9-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release.
  * Drop Cargo-cult-some-linkable-runtime-stuff.patch.
    Included in this release.
  * Refresh remaining patches.

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 05 Oct 2022 10:15:23 -0700

sbcl (2:2.2.8-2) unstable; urgency=medium

  * Add Cargo-cult-some-linkable-runtime-stuff.patch.
    This should fix the build on armel, armhf and arm64.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Sep 2022 17:44:25 -0700

sbcl (2:2.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Sep 2022 14:40:04 -0700

sbcl (2:2.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 21 Aug 2022 15:46:32 -0700

sbcl (2:2.2.6-2) unstable; urgency=medium

  * Add take-contrib-blocklist-into-account-for-doc-generation.patch
    (Closes: #1016045).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jul 2022 14:09:44 -0700

sbcl (2:2.2.6-1) unstable; urgency=medium

  * New upstream release.
    - Update build-dep zlib -> zstd for upstream change.
  * Drop ignore-test-side-effect.patch.
    Fixed upstream.
  * Add Fix-hide-packages-test-if-configured-with-xref-for-intern.patch.
  * Refresh remaining patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 24 Jul 2022 22:06:26 -0700

sbcl (2:2.2.3-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Add support for systemd-binfmt (Closes: #1012354).

  [ Sean Whitton ]
  * Add myself to Uploaders.
  * Drop d/source/local-options for dgit compatibility.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jun 2022 17:20:48 -0700

sbcl (2:2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * vop-existsp-test.patch: drop patch, applied upstream
  * ignore-test-side-effect.patch: new patch, fixes test failure
  * Add myself to uploaders
  * Add Salsa CI/CD configuration in debian/salsa-ci.yml
  * Add --with-sb-linkable-runtime to armel armhf arm64
  * Fix architecture detection during CI build on Salsa
  * Add sbcl-source to list of autopkgtest deps
  * Fix autopkgtest by setting C_INCLUDE_PATH for sbcl.h
  * Disable failing Salsa CI tests

 -- Kambiz Darabi <darabi@m-creations.net>  Tue, 26 Apr 2022 10:33:33 +0200

sbcl (2:2.1.11-1) unstable; urgency=medium

  * New upstream release
  * vop-existsp-test.patch: new patch, fixes test failure

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Dec 2021 11:44:18 +0100

sbcl (2:2.1.10-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 02 Nov 2021 11:22:02 +0100

sbcl (2:2.1.9-1) unstable; urgency=medium

  * New upstream release
  * Use clisp on s390x for bootstrapping, since it now builds there

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 28 Sep 2021 12:24:26 +0200

sbcl (2:2.1.8-1) unstable; urgency=medium

  * New upstream release
  * Add Breaks against cl-nibbles << 20210520.gitdad2524-1~, needed for amd64

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 30 Aug 2021 20:26:50 +0200

sbcl (2:2.1.7-1) unstable; urgency=medium

  * New upstream release
  * skip-stack-scan-precise-gencgc.patch: drop patch, applied upstream
  * Bump S-V to 4.6.0
  * On riscv64, s390x and sh4, try to bootstrap with ecl (since clisp is
    not available there)
  * fix-chill-test.patch: new patch, fixes chill.test.sh in the Debian-specific
    context
  * Remove unused lintian override (hardening-no-pie)
  * Add more fields to d/upstream/metadata
  * sbcl.{postinst,prerm}: replace “which” by “command -v”
  * skip-some-autopkgtests.patch: also skip run-sbcl.test.sh, since it does not
    make sense in an autopkgtest context

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Aug 2021 12:09:46 +0200

sbcl (2:2.1.1-2) unstable; urgency=medium

  * skip-stack-scan-precise-gencgc.patch: new patch from upstream, fixes
    FTBFS on arm64

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 03 Feb 2021 21:37:00 +0100

sbcl (2:2.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 01 Feb 2021 21:23:49 +0100

sbcl (2:2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove --with-sb-linkable-runtime on kfreebsd-*, it is unsupported there

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 02 Jan 2021 11:32:00 +0100

sbcl (2:2.0.11-2) unstable; urgency=medium

  * disable-fcb-threads-test.patch: new patch, disable a test that randomly
    fails on at least i386 and arm64.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 13:47:57 +0100

sbcl (2:2.0.11-1) unstable; urgency=medium

  * New upstream release
  * Bump to S-V 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Nov 2020 21:27:23 +0100

sbcl (2:2.0.10-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Oct 2020 17:56:51 +0100

sbcl (2:2.0.9-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release
  * Remove --with-sb-pthread-futex on kfreebsd-*, this option no longer exists
  * Add strace as a Build-Depends and an autopkgtest Depends, it is needed
    by futex-wait test

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 17 Oct 2020 19:43:29 +0200

sbcl (2:2.0.6-2) unstable; urgency=medium

  * Update Breaks on cl-cffi, since autopkgtest for <= 1:0.21.0 will fail
    against sbcl >= 2:2.0.6-1

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 12 Jul 2020 10:18:34 +0200

sbcl (2:2.0.6-1) unstable; urgency=medium

  * New upstream release
  * Add --with-sb-linkable-runtime feature on amd64 and i386 CPUs. Thanks
    to Florian Margaine for the suggestion

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Jul 2020 17:28:47 +0200

sbcl (2:2.0.5-1) unstable; urgency=medium

  * New upstream release
  * Bootstrap done on ppc64
  * Bump to debhelper 13
    + in particular, add uninstalled files to debian/not-installed

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 31 May 2020 19:11:12 +0200

sbcl (2:2.0.4-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied upstream:
    + powerpc-concurrency-fix.patch
    + kfreebsd-linkflags.patch
    + hppa.patch

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Apr 2020 23:22:04 +0200

sbcl (2:2.0.3-1) unstable; urgency=medium

  * New upstream release
  * Drop powerpc-ppc64el-fix-LINKFLAGS.patch, no longer needed
  * kfreebsd-linkflags.patch: new patch by John Paul Adrian Glaubitz,
    fixes FTBFS on kfreebsd-amd64 (Closes: #955338)
  * Try to build with clisp by default on archs for which sbcl has not
    yet been bootstrapped. Thanks to John Paul Adrian Glaubitz
    (Closes: #954031)
  * hppa.patch: new patch, fixes architecture detection on hppa
  * d/rules: fix architecture detection on ppc64 (Closes: #939453)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Apr 2020 18:51:36 +0200

sbcl (2:2.0.2-2) unstable; urgency=medium

  * powerpc-ppc64el-fix-LINKFLAGS.patch: new patch, fixes FTBFS on ppc64el
    and powerpc. Thanks to John Paul Adrian Glaubitz. (Closes: #953847)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Mar 2020 09:47:16 +0100

sbcl (2:2.0.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: simplify using debhelper 12.8’s execute_* rules
  * skip-some-autopkgtests.patch: new patch, needed for autopkgtest

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 08 Mar 2020 12:29:44 +0100

sbcl (2:2.0.1-3) unstable; urgency=medium

  * Disable a test in timer.impure that randomly fails. (Closes: #919806)
  * Fail package build if testsuite fails on arm64.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 05 Feb 2020 14:15:59 +0100

sbcl (2:2.0.1-2) unstable; urgency=medium

  * Add Breaks relationships for versions of cl-asdf and cl-cffi that are
    broken by the removal of stuff from *FEATURES*

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Jan 2020 21:40:17 +0100

sbcl (2:2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.5.0
  * Add an autopkgtest that runs the testsuite

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 28 Jan 2020 15:07:45 +0100

sbcl (2:2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 31 Dec 2019 16:59:11 +0100

sbcl (2:1.5.9-1) unstable; urgency=medium

  * New upstream version 1.5.9

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Nov 2019 16:48:05 +0100

sbcl (2:1.5.8-1) unstable; urgency=medium

  * New upstream version 1.5.8

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 26 Oct 2019 15:29:14 +0200

sbcl (2:1.5.7-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: reflect upstream changes
  * alpha.patch: drop patch, applied upstream (Really closes: #939541)
  * Bump to S-V 4.4.1

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Oct 2019 17:05:11 +0200

sbcl (2:1.5.6-2) unstable; urgency=medium

  * Replace texlive-generic-recommended by texlive-plain-generic in
    Build-Depends (Closes: #939807)
  * Make sbcl arch:any (Closes: #939452)
  * alpha.patch: new patch, fixes an issue on alpha (Closes: #939541)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Sep 2019 16:38:38 +0200

sbcl (2:1.5.6-1) unstable; urgency=medium

  * New upstream release
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Archive.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Sep 2019 10:39:00 +0200

sbcl (2:1.5.5-2) unstable; urgency=medium

  * armhf-is-not-v5.patch: add back the -marm flag. (Really closes: #931795)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Aug 2019 16:48:44 +0200

sbcl (2:1.5.5-1) unstable; urgency=medium

  * New upstream release
  * armhf-is-not-v5.patch: new patch, remove ARM-specific GCC flags.
    In particular, this fixes the FTBFS with gcc-9. (Closes: #931795)
  * Bump to S-V 4.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 11 Aug 2019 22:31:57 +0200

sbcl (2:1.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 06 Jul 2019 15:28:07 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog sbcl`.
